[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: About apt-listbugs and ruby 1.9.x



On Thu, 5 Jan 2012 22:00:06 -0200 Antonio Terceiro wrote:

> Francesco Poli escreveu isso aí:
> > Hi everybody,
> > I've been informed by Serafeim (Cc:ed) that apt-listbugs is being
> > discussed as one of the blockers for the ruby 1.8.x → 1.9.x migration
> > in Debian:
> > http://lists.debian.org/debian-ruby/2012/01/msg00011.html
> > 
> > Since I am one of the two co-maintainers of apt-listbugs, I would like
> > to chime in and try to clarify the current status of ruby 1.9.x support
> > in apt-listbugs.
> 
> Since the last upload, apt-listbugs is explicitly using `ruby1.8` and not
> `ruby`, so it I don't really see why it would be a blocker for changing
> ruby1.9.1 to be the default.

Yes, that was done on purpose, in order to comply with the new Ruby
Debian policy:
http://wiki.debian.org/Teams/Ruby/RubyInWheezy#Handling_of_shebangs

If this also means that I am not blocking the change of the default Ruby
interpreter in Debian, I am more than happy!   :-)

> 
> That said, migrating the largest number of applications possible to 1.9
> is a nice thing.

Sure! That's why I will be even happier, once we are able to run
apt-listbugs with Ruby 1.9.x!   ;-)


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE

Attachment: pgpJunvHGAsIp.pgp
Description: PGP signature


Reply to: